Апгрейд программы безопасности сайта ARRL

Программа безопасности сайта ARRL 15 октября подвергнется апгрейду; после этого прекратится поддержка устаревшего протокола TLS 1.0. Одновременно с этим, на всех связанных с ARRL сайтах, произойдут аналогичные изменения.

Среди сайтов, которые связаны с ARRL, находятся LoTW, Online DXCC, International Grid Chase и все прочие ARRL’овские сайты, управляемые с помощью HTTPS.

На большинство современных браузеров и операционных систем эти изменения не повлияют, так как они уже поддерживают новые стандарты безопасности. Пользователи со старыми браузерами или устаревшими операционными системами однако столкнутся с сообщением об ошибке при попытке войти на сайт или совершить покупку.

Список браузеров, которые будут затронуты этими изменениями и более не смогут обеспечить безопасное соединение с сайтами ARRL после 15 октября, включает все версии MS Internet Explorer до 11-й.

В результате этих изменений приложения, работающие под версиями MS Windows, которые не поддерживают IE 11 (то есть всеми версиями Windows, предшествующими Windows 7 SP1), вероятно, также окажутся затронутыми и не смогут успешно соединяться с безопасными страницами на любом из сайтов ARRL (включая LoTW), если только разработчики таких приложений не включат в них сторонние библиотеки.

TQSL включает в себя собственную обновлённую библиотеку безопасности вместо того, чтобы полагаться на соответствующие сервисы, предоставляемые операционными системами. В результате этого после 15 октября проблем, которые могли бы быть вызваны прекращением работы TQSL с какими-либо ОС, не возникнет.

[TNX K1MK]

73!